Package org.globus.myproxy

# Class GetTrustrootsParams

java.lang.Object
org.globus.myproxy.Params
org.globus.myproxy.GetTrustrootsParams

All Implemented Interfaces:
  `MyProxyConstants`

public class GetTrustrootsParams extends Params
Holds the parameters for the `get-trustroots` operation.

## Field Summary

### Fields inherited from class org.globus.myproxy.Params

`lifetime, passphrase, username`

### Fields inherited from interface org.globus.myproxy.MyProxyConstants

`COMMAND, CRED_DESC, CRED_NAME, CRED_RETRIEVER_TRUSTED, CRLF, DEFAULT_LIFETIME, LIFETIME, MIN_PASSWORD_LENGTH, MYPROXY_PROTOCOL_VERSION, NEW_PHRASE, PASSPHRASE, RENEWER, RETRIEVER, TRUSTROOTS, USERNAME, VERSION, VOMSES, VONAME`

## Constructor Summary

Constructors
Constructor
Description
`GetTrustrootsParams()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`makeRequest(boolean includePassword)`
Serializes the parameters into a MyProxy request.

### Methods inherited from class org.globus.myproxy.Params

`add, checkPassphrase, getLifetime, getPassphrase, getUserName, makeRequest, setCommand, setLifetime, setPassphrase, setUserName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GetTrustrootsParams

public GetTrustrootsParams()

## Method Details

### makeRequest

protected String makeRequest(boolean includePassword)
Description copied from class: `Params`
Serializes the parameters into a MyProxy request. Subclasses should overwrite this function and append the custom parameters to the output of this function.

Overrides:
  `makeRequest` in class `Params`